/**
 * 操作日志
 * 
 */
$(function () {
	var ERROK = 200;
	var contextPath=$("#contextPath").val()
	var table;
	var orgList = [];
	var api = {
			init: function () {
				this.render();
				this.bindEvent();
			},
			render: function () {
				this.rendertable();
			},
			bindEvent: function () {
				var _this = this;
				layui.use('laydate', function () {
					var laydate = layui.laydate;
					//执行一个laydate实例
					laydate.render({
						elem: '#beginTime' //提交开始时间
					});
					laydate.render({
						elem: '#endTime' //提交结束时间
					});
				});
				//重置
				$(".set-btn").on("click", function () {
					$("#conditionform input:not('#orgId'),#conditionform select").val("");
					_this.againRenderTable();
				});
				
			},
			rendertable: function () {
				var _this = this;
				layui.use('table', function () {
					table = layui.table;
					//方法级渲染
					table.render({
						elem: '#LAY_table_user',
						url: $("#contextPath").val() + "/admin/appUser/getIntgraleList"
						,method: "post"
						 ,skin: 'nob' //行边框风格
				    		  ,even: true //开启隔行背景
				    		  ,size: 'lg' //小尺寸的表格
						,cols: [
							[ {
								   field:'index', 
								   title: 'ID', 
								   minWidth: '50',
								   templet: '#indexTpl'
							 },{
								field: 'creatorName',
								title: '操作人',
								minWidth: 120
							}, {
								field: 'type',
								title: '操作类型',
								minWidth: 200,
								templet: function (data) {
									//操作类型1充值2修改3订餐4转换到福利商城 默认传0查所有
	                                if (data.type == "1") {
	                                    return '充值'
	                                } else if (data.type == "2") {
	                                    return '修改'
	                                }else if (data.type == "3") {
	                                    return '订餐'
	                                }else if (data.type == "4") {
	                                    return '转换到福利商城'
	                                }
		                        }
							},{
								field: 'targetName',
								title: '对象',
								minWidth: 250,
								templet: function (data) {
									return data.targetName+" "+data.targetNumber;
		                        }
							},{
								field: 'oldIntegral',
								title: '操作前账户积分',
								minWidth: 200,
							}, {
								field: 'newIntegral',
								title: '操作后账户积分',
								minWidth: 200,
							}, {
								field: 'createTime',
								title: '操作时间',
								minWidth: 200,
							}]
						],
						id: 'testReload',
						page: true,
						response: {
							statusName: 'code' //数据状态的字段名称，默认：code
								,
							statusCode: 200 //成功的状态码，默认：0
								,
							countName: "count" //数据总数的字段名称，默认：count
								,
							dataName: "data" //数据列表的字段名称，默认：data
						},
						request: {
						    pageName: 'pageNo' //页码的参数名称，默认：page
						    ,limitName: 'pageSize' //每页数据量的参数名，默认：limit
						  },
						  where: {
								
								opType: $("#conditionform .opType").val(),
								
							} ,
						done: function (res, curr, count) {
							//如果是异步请求数据方式，res即为你接口返回的信息。
							
						}
					});
					//查询
					$('#conditionform  .search-btn').on('click', function () {
						_this.againRenderTable();
					});
				});
			},
			
			/*重新渲染table*/
			againRenderTable: function(){
				table.reload('testReload', {
					where: {
						opName: $("#conditionform .opName").val(),
						opType: $("#conditionform .opType").val(),
						beginTime: $("#conditionform .beginTime").val(),
						endTime: $("#conditionform .endTime").val(),
						orgId: $("#conditionform  #orgId").val(),
					} ,
					  page: {
					    curr: 1 //重新从第 1 页开始
					  }
				}); 
			}
		};
		api.init();
})